%define subrel	1

Name:		icecast
Version:	2.3.2
Release:	%mkrel 7
Summary:	Streaming Media Server
Epoch:		2
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source0:	http://downloads.us.xiph.org/releases/icecast/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	%{name}-tmpfiles.conf
Patch0:		%{name}.conf.patch
Patch1:		icecast-2.3.2-CVE-2011-4612.diff
Patch2:		icecast-2.3.3-changeset_19307.patch
Patch3:		icecast-2.3.3-changeset_19308.patch
Requires(post): systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires(postun): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	libxslt-devel
BuildRequires:	libcurl-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:  speex-devel

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%setup -q
%patch0 -p0 -b .orig
%patch1 -p1 -b .CVE-2011-4612
%patch2 -p1 -b .CVE-2014-9018a
%patch3 -p1 -b .CVE-2014-9018b

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{__install} -d -m 755 %{buildroot}%{_var}/log/%{name}
%{__install} -d -m 755 %{buildroot}%{_datadir}/%{name}

# remove installed documentation
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%{__install} -d -m 755 %{buildroot}%{_initrddir}
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}

# logrotate
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d/
%{__install} -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# to hold pid file ( need to be writable by icecast )
%{__install} -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%clean 
rm -rf %{buildroot}

%pre
%_pre_useradd %{name} %{_datadir}/%{name} /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS COPYING HACKING README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%attr(-,icecast,icecast) %{_var}/log/%{name}
%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}.xml
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}


%changelog
* Fri Nov 21 2014 cjw <cjw> 2:2.3.2-7.1.mga3
+ Revision: 798041
- patch2, patch3: fix security issues with the feature that launches an executable when a mount is (dis)connected (CVE-2014-9018)

* Sun Mar 24 2013 colin <colin> 2:2.3.2-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sat Jan 12 2013 umeabot <umeabot> 2:2.3.2-6.mga3
+ Revision: 354155
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 colin <colin> 2:2.3.2-5.mga3
+ Revision: 331985
- Switch to tmpfiles for /run dir

* Wed Aug 08 2012 luigiwalser <luigiwalser> 2:2.3.2-4.mga3
+ Revision: 280031
- add patch from OpenSuSE to fix CVE-2011-4612

* Fri May 13 2011 nanardon <nanardon> 2:2.3.2-3.mga1
+ Revision: 98189
- imported package icecast

